http_put_stream
http_request_method_exists
Funções para HTTP
PHP Manual

# http_request_body_encode

(PECL pecl_http >= 1.0.0)

http_request_body_encode — Encode request body

### Descrição

string http_request_body_encode ( array `$fields` , array `$files` )

Generate x-www-form-urlencoded resp. form-data encoded request body.

### Parâmetros

`fields`

  POST fields

`files`

  POST files

### Valor Retornado

Returns encoded string on success, or FALSE on failure

http_put_stream
http_request_method_exists
Funções para HTTP
PHP Manual